Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157766 - usbnet: Sharp Zaurus C-3000 incompatibility
Summary: usbnet: Sharp Zaurus C-3000 incompatibility
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-14 19:09 UTC by Jan Kratochvil
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-01-16 20:49:48 UTC


Attachments (Terms of Use)
Compatible Debian kernel-source-2.6.8_2.6.8-15 driver. (deleted)
2005-05-14 19:11 UTC, Jan Kratochvil
no flags Details
Insufficient patch for kernel-2.6.11-1.1303_FC4 usbnet.c (deleted)
2005-05-14 19:12 UTC, Jan Kratochvil
no flags Details
lsusb -v after connecting the device using Debian usnet.c (deleted)
2005-05-14 19:16 UTC, Jan Kratochvil
no flags Details

Description Jan Kratochvil 2005-05-14 19:09:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050504 Galeon/1.3.20

Description of problem:
After connecting Sharp Zaurus C-3000 it gets refused with:
May 15 01:29:05 kashome kernel: usbnet 5-2:1.0: MDLM guid
May 15 01:29:05 kashome kernel: usb 5-2: unsupported MDLM descriptors
May 15 01:29:05 kashome kernel: usbcore: registered new driver usbnet
(no usb0 device exists)

After the attached trivia patch the error is different:
May 15 02:28:38 kashome kernel: usbnet 5-2:1.0: bad MDLM detail, 6 0 13
May 15 02:28:38 kashome kernel: usb 5-2: unsupported MDLM descriptors
May 15 02:28:38 kashome kernel: usbcore: registered new driver usbnet

After replacing usbnet.c from Debian Sarge kernel-source-2.6.8_2.6.8-15 it works although the Debian driver is apparently older.


Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1303_FC4

How reproducible:
Always

Steps to Reproduce:
1. Connect Sharp Zaurus C-3000.
2. See no usb0 appears.
  

Actual Results:  May 15 01:29:05 kashome kernel: usb 5-2: unsupported MDLM descriptors
May 15 01:29:05 kashome kernel: usbcore: registered new driver usbnet


Expected Results:  May 15 03:10:00 kashome kernel: usb0: register usbnet at usb-0000:00:10.3-2, Sharp Zaurus, PXA-2xx based
May 15 03:10:00 kashome kernel: usbcore: registered new driver usbnet


Additional info:

Comment 1 Jan Kratochvil 2005-05-14 19:11:06 UTC
Created attachment 114387 [details]
Compatible Debian kernel-source-2.6.8_2.6.8-15 driver.

Comment 2 Jan Kratochvil 2005-05-14 19:12:50 UTC
Created attachment 114388 [details]
Insufficient patch for kernel-2.6.11-1.1303_FC4 usbnet.c

Comment 3 Jan Kratochvil 2005-05-14 19:16:33 UTC
Created attachment 114389 [details]
lsusb -v after connecting the device using Debian usnet.c

Comment 4 Dave Jones 2005-06-27 23:23:05 UTC
Mass update of -test bugs to update version to fc4.
(Please retest on final release, and report results if you have not already done
so).

Thanks.

Comment 5 Jan Kratochvil 2005-07-30 03:32:19 UTC
I have sold (/selling) Sharp Zaurus C-3000, I have no longer it available for tests.
I expect the bug should get closed.


Comment 6 Dave Jones 2005-11-10 20:19:43 UTC
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.



Note You need to log in before you can comment on or make changes to this bug.